UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Namespaces | Functions
byteswap.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/cstdint.hpp>`
`#include <uhd/utils/byteswap.ipp>`

Go to the source code of this file.

## Namespaces
| uhd

## Functions
boost::uint16_t | uhd::byteswap (boost::uint16_t)
| perform a byteswap on a 16 bit integer More...
boost::uint32_t | uhd::byteswap (boost::uint32_t)
| perform a byteswap on a 32 bit integer More...
boost::uint64_t | uhd::byteswap (boost::uint64_t)
| perform a byteswap on a 64 bit integer More...
template<typename T >
T | uhd::ntohx (T)
| network to host: short, long, or long-long More...
template<typename T >
T | uhd::htonx (T)
| host to network: short, long, or long-long More...
template<typename T >
T | uhd::wtohx (T)
| worknet to host: short, long, or long-long More...
template<typename T >
T | uhd::htowx (T)
| host to worknet: short, long, or long-long More...

## Detailed Description

Provide fast byteswaping routines for 16, 32, and 64 bit integers, by using the system's native routines/intrinsics when available.